# Get Custom Model Get a single custom model by ID. Concepts are covered in the [Custom Models guide](/speech-to-text/features/custom-models/). ``` GET https://api.reson8.dev/v1/custom-model/{id} ``` ## Request ### Headers | Header | Value | |---------------|-----------------------------------------------| | Authorization | `ApiKey ` or `Bearer ` | See [Authentication](/authentication/) for which header to use in different situations. ### Path Parameters | Parameter | Type | Description | |-----------|--------|------------------------| | `id` | string | ID of the custom model | ### Example ```bash curl "https://api.reson8.dev/v1/custom-model/a1b2c3d4-e5f6-7890-abcd-ef1234567890" \ -H "Authorization: ApiKey " ``` ```python import requests response = requests.get( "https://api.reson8.dev/v1/custom-model/a1b2c3d4-e5f6-7890-abcd-ef1234567890", headers={"Authorization": "ApiKey "}, ) custom_model = response.json() ``` ## Response `200 OK` | Field | Type | Description | |---------------|--------|---------------------------------------| | `id` | string | Unique identifier of the custom model | | `name` | string | Name of the custom model | | `description` | string | Description of the custom model | | `phraseCount` | number | Number of phrases in the custom model | ### Example ```json { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "name": "Cardiology", "description": "Cardiology-specific terminology", "phraseCount": 3 } ``` ## Errors | Status | Description | |---------------------------|--------------------------------| | 401 Unauthorized | Missing or invalid credentials | | 404 Not Found | Custom model not found | | 500 Internal Server Error | Unexpected server error |